/* Layout */
import Layout from '@/layout'

const financeRouter = {
  path: '/finance',
  component: Layout,
  redirect: '/finance/list',
  name: 'Finance',
  meta: { title: '财务管理', icon: 'ma-finance' },
  alwaysShow: true,
  children: [
    {
      path: 'list',
      name: 'List',
      component: () => import('@/views/finance/list'),
      meta: { title: '对账列表', icon: 'ma-finance-list' }
    },
    {
      path: 'refund',
      name: 'Refund',
      component: () => import('@/views/finance/refund'),
      meta: { title: '退款管理', icon: 'ma-finance-return' },
      hidden: true
    }
  ]
}

export default financeRouter
