/* Layout */
import Layout from '@/layout'

const orderRouter = {
  path: '/order',
  component: Layout,
  redirect: '/order/list',
  name: 'Order',
  meta: { title: '订单管理', icon: 'ma-order' },
  alwaysShow: true,
  children: [
    {
      path: 'list',
      name: 'List',
      component: () => import('@/views/order/list'),
      meta: { title: '订单列表', icon: 'ma-order-list' }
    },
    {
      path: 'refund',
      name: 'Refund',
      component: () => import('@/views/order/refund'),
      meta: { title: '用户退款列表', icon: 'ma-order-refund' }
    },
    {
      path: 'refund/detail/:id(\\d+)',
      name: 'RefundDeatil',
      component: () => import('@/views/order/refund-detail'),
      meta: { title: '用户退款详情', noCache: true, activeMenu: '/order/refund' },
      hidden: true
    },
    {
      path: 'detail/:id(\\d+)',
      name: 'Detail',
      component: () => import('@/views/order/detail'),
      meta: { title: '订单详情', noCache: true, activeMenu: '/order/list' },
      hidden: true
    },
    {
      path: 'logistics/:id(\\d+)',
      name: 'logistics',
      component: () => import('@/views/order/logistics'),
      meta: { title: '发货记录', noCache: true, activeMenu: '/order/list' },
      hidden: true
    },
    {
      path: 'refund-record/:id(\\d+)',
      name: 'RefundRecord',
      component: () => import('@/views/order/refund-record'),
      meta: { title: '收退款记录', noCache: true, activeMenu: '/order/list' },
      hidden: true
    },
    {
      path: 'refund-return/:id(\\d+)',
      name: 'RefundRreturn',
      component: () => import('@/views/order/refund-return'),
      meta: { title: '退款（退货）记录', noCache: true, activeMenu: '/order/list' },
      hidden: true
    }
  ]
}

export default orderRouter
