/* Layout */
import Layout from '@/layout'

const otherRouter = {
  path: '/other',
  component: Layout,
  redirect: '/other/about',
  name: 'Other',
  meta: { title: '其他设置', icon: 'ma-other' },
  alwaysShow: true,
  children: [
    {
      path: 'about',
      name: 'About',
      component: () => import('@/views/other/about'),
      meta: { title: '关于我们', icon: 'ma-other-about' }
    },
    {
      path: 'after',
      name: 'After',
      component: () => import('@/views/other/after'),
      meta: { title: '售后无忧', icon: 'ma-other-after' }
    },
    {
      path: 'notes',
      name: 'Notes',
      component: () => import('@/views/other/notes'),
      meta: { title: '购物须知', icon: 'ma-other-notes' }
    },
    {
      path: 'password',
      name: 'Password',
      component: () => import('@/views/other/password'),
      meta: { title: '修改密码', icon: 'ma-other-password' }
    }
  ]
}

export default otherRouter
